# Generated by Django 3.1.7 on 2021-03-04 12:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('gbt_catalog', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('answers', models.JSONField()),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Answer',
                'verbose_name_plural': 'Answers',
                'db_table': 'gbt_configuration_answer',
            },
        ),
        migrations.CreateModel(
            name='Configuration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('is_completed', models.BooleanField(default=False)),
                ('price', models.DecimalField(decimal_places=4, max_digits=8)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='gbt_catalog.product')),
            ],
            options={
                'verbose_name': 'Configuration',
                'verbose_name_plural': 'Configurartions',
                'db_table': 'gbt_configuration',
            },
        ),
    ]
